﻿/*Estilos eventos*/
#imgBanner {
    width: 100%;
    object-fit:contain;
    max-height:50vh;
    position:relative
}

.banners{
    display:flex;
    align-items:center;
    justify-content:center;
}

.px-0{
    position:relative;
}

#imgBack {
    filter: blur(15px);
    position: absolute;
    height: auto;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.cuadroAzul {
    background-color: #004A98;
    color: white;
    width: 100%;
    height: 100%;
    justify-content: space-between;
}

.titulo {
    font-size: 2.5rem;
    font-weight: 700;
    letter-spacing: 1px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.subtitulo {
    font-size: 1.2rem;
    font-weight: 400;
    margin-bottom: 1.5rem;

    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical;
}

.nota {
    font-size: 0.9rem;
    font-weight: 300;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

#contentMapa iframe {
    width: 100%;
}

.icono {
    background-color: transparent;
    font-size: 29px;
    border: none;
}

#btnCompartir {
    /*Boton circular*/
    display: flex;
    justify-content: center;
    color: #004A98;
    align-items: center;
    background-color: white;
    width: 42px;
    height: 42px;
    border: none;
    font-size: 26px;
    padding-right: 8px;
    border-radius: 30px;
}

    #btnCompartir:hover {
        color: #004a98eb;
        background-color: #ffffffd4;
    }

    #btnCompartir:active {
        color: #004a98eb;
        background-color: #ffffffd4;
    }

#cuadroCompartir {
    width: 75%;
}

.btnCompartir {
    /*boton dentro del modal compartir*/
    width: 100%;
    height: 50px;
    margin-bottom: 15px;
    align-items: center;
    border: solid 1px #adb5bd;
    border-radius: 8px;
}

    .btnCompartir:active {
        opacity: 50%;
    }

.iconoContent, .btnTexto {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
}

    .iconoContent .icono {
        display: flex;
        width: 42px;
        height: 42px;
        justify-content: center;
        align-items: center;
        border-radius: 45px;
        font-size: 1.6rem;
    }

@media (max-width: 250px) {
    .btnTexto {
        display: none;
    }

    .iconoContent {
        width: 100%;
    }
}

@media (max-width: 425px) {
    #cuadroCompartir {
        width: 100%;
    }

    .titulo {
        font-size: 2.0rem;
    }

    .subtitulo {
        font-size: 1.0rem;
    }

    .nota {
        font-size: 1rem;
    }
    #imgBanner {
        max-height: 25vh;
    }

    #btnEvento {
        padding: 0.25rem 0.5rem;
        font-size: .875rem;
        border-radius: 0.2rem;
    }
}

@media(max-width: 991px){

    #imgBanner {
        max-height: 30vh;
    }

}

@media (min-width: 992px) {
    .titulo {
        font-size: 2.8rem;
    }

    .subtitulo {
        font-size: 1.4rem;
    }

    .nota {
        font-size: 1rem;
    }

    #imgBanner{
        max-height: 35vh;
    }

    #btnEvento {
        padding: 0.5rem 1rem;
        font-size: 1.25rem;
        border-radius: 0.3rem;
    }
}

@media (min-width: 1200px){
    .info{
        font-size: 1.3rem;
    }

    .titulo{
        font-size: 3.0rem;
    }

    .subtitulo{
        font-size: 1.5rem;
    }

    .nota{
        font-size: 1.23rem;
    }
}

@media (max-width: 1200px) {
    .titulo {
        overflow: visible;
        display: block;
        -webkit-line-clamp: unset;
        -webkit-box-orient: unset;
    }

    .subtitulo {
        overflow: visible;
        display: block;
        -webkit-line-clamp: unset;
        -webkit-box-orient: unset;
    }

    .nota {
       /* font-size: 1rem;*/
        overflow: visible;
        display: block;
        -webkit-line-clamp: unset;
        -webkit-box-orient: unset;
    }
}

/*Terminan estilos eventos*/
